<?php if (!defined('PLX_ROOT')) exit; ?>
<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Licence GNU_GPL
 **/

# Control du token du formulaire
plxToken::validateFormToken($_POST);

function img_list($patern='*'){
	$dir = PLX_PLUGINS.'plxScrollToTop/img/';
	$tab = array();
	$img = array();
	if (is_dir($dir)) {
	    if ($dh = opendir($dir)) {
	        while (($file = readdir($dh)) !== false) {
				$ext=explode('.',$file);
				$ext=$ext[count($ext)-1];
	            if($ext==$patern || $patern=="*" && $file!='.' && $file!='..' && $file!='index.html'){
					$tab[]= $file;
				}
	        }
	        closedir($dh);
	    }
	}
	sort($tab);
	return $tab;
}
  
$img = img_list();

if (!empty($_POST)) {
	
	$plxPlugin->setParam('STTimg', $_POST['STTimg'], 'string');
	$plxPlugin->setParam('STT_right', $_POST['STT_right'], 'numeric');
	$plxPlugin->setParam('STT_bottom', $_POST['STT_bottom'], 'numeric');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxScrollToTop');
	exit;
}
$imgUrl = PLX_PLUGINS.'plxScrollToTop/img/';
$STTimg =  $plxPlugin->getParam('STTimg')=='' ? 'vers-haut-icone-3472-40.png' : $plxPlugin->getParam('STTimg');
$STT_right =  $plxPlugin->getParam('STT_right')=='' ? 30 : $plxPlugin->getParam('STT_right');
$STT_bottom =  $plxPlugin->getParam('STT_bottom')=='' ? 30 : $plxPlugin->getParam('STT_bottom');

?>
<script type="text/javascript">
function displayImage() {
    var image = "<?php echo $imgUrl ?>" + document.getElementById("id_STTimg").value;
    document.getElementsByTagName("img")[0].setAttribute("src",image)
  }
</script>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxScrollToTop/css/config.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxScrollToTop/js/config.js"></script>
<div>
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_STT_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_STT_TAB02') ?></span>
</div>
<div class="content_tab" id="content_tab_01">
<form class="inline-form" id="form_plxScrollToTop" action="parametres_plugin.php?p=plxScrollToTop" method="post">
	<fieldset>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_STTimg"><?php $plxPlugin->lang('L_STT_IMG') ?>&nbsp;:</label>
			<select id="id_STTimg" name="STTimg" onChange="javascript:displayImage();">
			<?php
			foreach($img as $k=>$img_list) {
				if($img_list == $STTimg)
						echo "\t".'<option value="'.$img_list.'" selected="selected">'.$plxPlugin->getlang('L_STT_TYPE').' '.$k.'</option>'."\n";
					else
						echo "\t".'<option value="'.$img_list.'">'.$plxPlugin->getlang('L_STT_TYPE').' '.$k.'</option>'."\n";
			}
			?>
			</select>
			<img src="<?php echo $imgUrl.$STTimg ?>" alt="" id="getImg" />
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_STT_right"><?php $plxPlugin->lang('L_STT_RIGHT') ?>&nbsp;:</label>
			<?php plxUtils::printInput('STT_right',$STT_right,'text','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_STT_HELP_POSITION') ?></span></a>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_STT_bottom"><?php $plxPlugin->lang('L_STT_BOTTOM') ?>&nbsp;:</label>
			<?php plxUtils::printInput('STT_bottom',$STT_bottom,'text','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_STT_HELP_POSITION') ?></span></a>
			</div>
		</div>				
		</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_STT_SAVE') ?>" />
		</p>	
	</fieldset>
</form>
<div class="content_tab" id="content_tab_02">
	<div id="update">
		<?php $infoPlugin = $plxPlugin->scrolltotop->UpdatePlugin('plxScrollToTop'); ?>
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>	
		<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxScrollToTop/img/vers/up_warning.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp;<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS; ?>plxScrollToTop/img/vers/up_ok.gif" alt=""></p>
		<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?><p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxScrollToTop/img/vers/up_download.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 3) {?>
		    <p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxScrollToTop/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>	
	</div>
</div>	
<script type="text/javascript">
var anc_tab = '01';
change_tab(anc_tab);
</script>